> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loyalty.dog/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Pass Placeholder

> Update a single placeholder value of a specific pass.

**Parameters:**
- `placeholderName`: The name of the placeholder to update.
- `value`: The new value for the placeholder.
- `lpass`: Pass object, automatically resolved from the request.

**Returns:**
- `dict`: A dictionary containing the updated placeholder values of the pass.



## OpenAPI

````yaml https://api.loyalty.dog/openapi.json put /v2/passes/{passTypeIdentifier}/{serialNumber}/values/{placeholderName}
openapi: 3.1.0
info:
  title: LoyaltyDog
  description: >-

    Welcome to the LoyaltyDog API! This API provides access to our loyalty
    program features, allowing you to integrate with various platforms and
    manage your loyalty data.


    Want to query LoyaltyDog via an AI assistant (Claude, Cursor, Windsurf)? See
    the [MCP Integration guide](https://loyaltydog.ai/playground#mcp).
        
  termsOfService: https://loyalty.dog/loyalty-program-terms-service
  contact:
    name: LoyaltyDog Support
    url: https://loyalty.dog/contact-us
    email: support@loyalty.dog
  version: 1.0.1
servers:
  - url: https://api.loyalty.dog
    description: Production
security:
  - bearerAuth: []
paths:
  /v2/passes/{passTypeIdentifier}/{serialNumber}/values/{placeholderName}:
    put:
      tags:
        - Passes > Pass Values
      summary: Update Pass Placeholder
      description: >-
        Update a single placeholder value of a specific pass.


        **Parameters:**

        - `placeholderName`: The name of the placeholder to update.

        - `value`: The new value for the placeholder.

        - `lpass`: Pass object, automatically resolved from the request.


        **Returns:**

        - `dict`: A dictionary containing the updated placeholder values of the
        pass.
      operationId: >-
        update_pass_placeholder_v2_passes__passTypeIdentifier___serialNumber__values__placeholderName__put
      parameters:
        - name: placeholderName
          in: path
          required: true
          schema:
            type: string
            title: Placeholdername
        - name: passTypeIdentifier
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Passtypeidentifier
        - name: serialNumber
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Serialnumber
        - name: passId
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: 'null'
            title: Passid
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_update_pass_placeholder_v2_passes__passTypeIdentifier___serialNumber__values__placeholderName__put
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    Body_update_pass_placeholder_v2_passes__passTypeIdentifier___serialNumber__values__placeholderName__put:
      properties:
        value:
          anyOf:
            - type: string
            - type: integer
          title: Value
      type: object
      required:
        - value
      title: >-
        Body_update_pass_placeholder_v2_passes__passTypeIdentifier___serialNumber__values__placeholderName__put
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT access token obtained from POST /v2/token.

````